#pragma once

//
// Export Function
//

wchar_t* ConvAnsi2Wide( const char* pAnsiStr ) ;

//
// Export Class
//

class __WideStr {
private:
	wchar_t* pWideStr ;
public:
	__WideStr( const char* pAnsiStr ) {
		this->pWideStr	= ConvAnsi2Wide( pAnsiStr ) ;
	}
	~__WideStr() {
		delete[] this->pWideStr ;
	}
	operator TCHAR*() {
		return this->pWideStr ;
	}
} ;

//
// Macro
//

#ifdef _UNICODE

#define A2T( _x_ )	\
	( __WideStr( _x_ ).operator TCHAR*() )

#else

#define	A2T( _x_ ) ( _x_ )

#endif
